Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 2628)
+++ inc/core/class.dc.blog.php	(revision 2626)
@@ -1894,5 +1894,5 @@
 	- post_id: (integer) Get comments belonging to given post_id
 	- cat_id: (integer or array) Get comments belonging to entries of given category ID
-	- comment_id: (integer or array) Get comment with given ID (or IDs)
+	- comment_id: (integer) Get comment with given ID
 	- comment_site: (string) Get comments with given comment_site
 	- comment_status: (integer) Get comments with given comment_status
@@ -1984,10 +1984,5 @@
 
 		if (isset($params['comment_id']) && $params['comment_id'] !== '') {
-			if (is_array($params['comment_id'])) {
-				array_walk($params['comment_id'],create_function('&$v,$k','if($v!==null){$v=(integer)$v;}'));
-			} else {
-				$params['comment_id'] = array((integer) $params['comment_id']);
-			}
-			$strReq .= 'AND comment_id '.$this->con->in($params['comment_id']);
+			$strReq .= 'AND comment_id = '.(integer) $params['comment_id'].' ';
 		}
 
Index: inc/core/class.dc.categories.php
===================================================================
--- inc/core/class.dc.categories.php	(revision 2566)
+++ inc/core/class.dc.categories.php	(revision 2707)
@@ -190,8 +190,11 @@
         public function updatePosition($id,$left,$right)
         {
+        		$node_left = (integer) $left;
+        		$node_right = (integer) $right;
+        		$node_id = (integer) $id;
                 $sql = 'UPDATE '.$this->table.' SET '
-                        .$this->f_left.' = '.$left.', '
-                        .$this->f_right.' = '.$right
-                        .' WHERE '.$this->f_id .' = '.(integer) $id
+                        .$this->f_left.' = '.$node_left.', '
+                        .$this->f_right.' = '.$node_right
+                        .' WHERE '.$this->f_id .' = '.$node_id
                         .$this->getCondition();
 
Index: inc/core/class.dc.core.php
===================================================================
--- inc/core/class.dc.core.php	(revision 2682)
+++ inc/core/class.dc.core.php	(revision 2566)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2014 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -39,5 +39,4 @@
 	public $rest;		///< <b>dcRestServer</b>	dcRestServer object
 	public $log;		///< <b>dcLog</b>			dcLog object
-	public $stime;		///< <b>float</b>			starting time
 
 	private $versions = null;
@@ -60,10 +59,4 @@
 	public function __construct($driver, $host, $db, $user, $password, $prefix, $persist)
 	{
-		if (defined('DC_START_TIME')) {
-			$this->stime=DC_START_TIME;
-		} else {
-			$this->stime = microtime(true);
-		}
-
 		$this->con = dbLayer::init($driver,$host,$db,$user,$password,$persist);
 
@@ -101,4 +94,7 @@
 
 		$this->log = new dcLog($this);
+
+		$this->addFormater('xhtml', create_function('$s','return $s;'));
+		$this->addFormater('wiki', array($this,'wikiTransform'));
 	}
 
@@ -208,4 +204,5 @@
 	//@}
 
+
 	/// @name Text Formatters methods
 	//@{
@@ -215,22 +212,4 @@
 	argument: the string to transform. It returns the transformed string.
 
-	@param	editor_id	<b>string</b>	Editor id (dcLegacyEditor, dcCKEditor, ...)
-	@param	name		<b>string</b>	Formater name
-	@param	func		<b>callback</b>	Function to use, must be a valid and callable callback
-	*/
-	public function addEditorFormater($editor_id,$name,$func)
-	{
-		if (is_callable($func)) {
-			$this->formaters[$editor_id][$name] = $func;
-		}
-	}
-
-	/// @name Text Formatters methods
-	//@{
-	/**
-	Adds a new text formater which will call the function <var>$func</var> to
-	transform text. The function must be a valid callback and takes one
-	argument: the string to transform. It returns the transformed string.
-
 	@param	name		<b>string</b>		Formater name
 	@param	func		<b>callback</b>	Function to use, must be a valid and callable callback
@@ -238,53 +217,17 @@
 	public function addFormater($name,$func)
 	{
-		$this->addEditorFormater('dcLegacyEditor',$name,$func);
-	}
-
-	/**
-	Returns editors list
-
-	@return	<b>array</b> An array of editors values.
-	*/
-	public function getEditors()
-	{
-		$editors = array();
-
-		foreach (array_keys($this->formaters) as $editor_id) {
-			$editors[$editor_id] = $this->plugins->moduleInfo($editor_id,'name');
-		}
-
-		return $editors;
-	}
-
-	/**
-	Returns formaters list by editor
-
-	@param	editor_id	<b>string</b>	Editor id (dcLegacyEditor, dcCKEditor, ...)
+		if (is_callable($func)) {
+			$this->formaters[$name] = $func;
+		}
+	}
+
+	/**
+	Returns formaters list.
+
 	@return	<b>array</b> An array of formaters names in values.
-
-    /**
-    if @param editor_id is empty:
-    return all formaters sorted by actives editors
-    
-    if @param editor_id is not empty
-    return formaters for an editor if editor is active
-    return empty() array if editor is not active. 
-    It can happens when a user choose an editor and admin deactivate that editor later
-	*/
-	public function getFormaters($editor_id='')
-	{
-		$formaters_list = array();
-
-		if (!empty($editor_id)) {
-            if (isset($this->formaters[$editor_id])) {
-                $formaters_list = array_keys($this->formaters[$editor_id]);
-            }
-		} else {
-			foreach ($this->formaters as $editor => $formaters) {
-				$formaters_list[$editor] = array_keys($formaters);
-			}
-		}
-
-		return $formaters_list;
+	*/
+	public function getFormaters()
+	{
+		return array_keys($this->formaters);
 	}
 
@@ -293,30 +236,15 @@
 	transformed using that formater.
 
-	@param	editor_id	<b>string</b>	Editor id (dcLegacyEditor, dcCKEditor, ...)
 	@param	name		<b>string</b>		Formater name
 	@param	str		<b>string</b>		String to transform
 	@return	<b>string</b>	String transformed
 	*/
-	public function callEditorFormater($editor_id,$name,$str)
-	{
-		if (isset($this->formaters[$editor_id]) && isset($this->formaters[$editor_id][$name])) {
-			return call_user_func($this->formaters[$editor_id][$name],$str);
+	public function callFormater($name,$str)
+	{
+		if (isset($this->formaters[$name])) {
+			return call_user_func($this->formaters[$name],$str);
 		}
 
 		return $str;
-	}
-	//@}
-
-	/**
-	If <var>$name</var> is a valid formater, it returns <var>$str</var>
-	transformed using that formater.
-
-	@param	name		<b>string</b>		Formater name
-	@param	str		<b>string</b>		String to transform
-	@return	<b>string</b>	String transformed
-	*/
-	public function callFormater($name,$str)
-	{
-		return $this->callEditorFormater('dcLegacyEditor',$name,$str);
 	}
 	//@}
@@ -713,5 +641,5 @@
 	   - [url] => Blog URL
 	   - [p]
-		- [permission] => true
+	   	- [permission] => true
 		- ...
 
@@ -881,5 +809,5 @@
 	   - [super] => (true|false) super admin
 	   - [p]
-		- [permission] => true
+	   	- [permission] => true
 		- ...
 
@@ -1054,17 +982,14 @@
 	private function getBlogCursor($cur)
 	{
-		if (($cur->blog_id !== null
-			&& !preg_match('/^[A-Za-z0-9._-]{2,}$/',$cur->blog_id)) ||
-			(!$cur->blog_id)) {
+		if ($cur->blog_id !== null
+		&& !preg_match('/^[A-Za-z0-9._-]{2,}$/',$cur->blog_id)) {
 			throw new Exception(__('Blog ID must contain at least 2 characters using letters, numbers or symbols.'));
 		}
 
-		if (($cur->blog_name !== null && $cur->blog_name == '') ||
-			(!$cur->blog_name)) {
+		if ($cur->blog_name !== null && $cur->blog_name == '') {
 			throw new Exception(__('No blog name'));
 		}
 
-		if (($cur->blog_url !== null && $cur->blog_url == '') ||
-			(!$cur->blog_url)) {
+		if ($cur->blog_url !== null && $cur->blog_url == '') {
 			throw new Exception(__('No blog URL'));
 		}
@@ -1381,8 +1306,6 @@
 				array('media_img_title_pattern','string','Title ;; Date(%b %Y) ;; separator(, )',
 				'Pattern to set image title when you insert it in a post'),
-				array('nb_post_for_home','integer',20,
-				'Number of entries on first home page'),
 				array('nb_post_per_page','integer',20,
-				'Number of entries on home pages and category pages'),
+				'Number of entries on home page and category pages'),
 				array('nb_post_per_feed','integer',20,
 				'Number of entries on feeds'),
@@ -1399,5 +1322,5 @@
 				array('short_feed_items','boolean',false,
 				'Display short feed items'),
-				array('theme','string','berlin',
+				array('theme','string','default',
 				'Blog theme'),
 				array('themes_path','string','themes',
@@ -1546,21 +1469,4 @@
 		}
 	}
-
-	/**
-	 Return elapsed time since script has been started
-	 @param	  $mtime <b>float</b> timestamp (microtime format) to evaluate delta from
-								  current time is taken if null
-	 @return <b>float</b>		 elapsed time
-	 */
-	public function getElapsedTime ($mtime=null) {
-		if ($mtime !== null) {
-			return $mtime-$this->stime;
-		} else {
-			return microtime(true)-$this->stime;
-		}
-	}
 	//@}
-
-
-
 }
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 2659)
+++ inc/core/class.dc.media.php	(revision 2566)
@@ -1002,5 +1002,5 @@
 	}
 
-	public function imageThumbRemove($f)
+	protected function imageThumbRemove($f)
 	{
 		$p = path::info($f);
Index: inc/core/class.dc.modules.php
===================================================================
--- inc/core/class.dc.modules.php	(revision 2708)
+++ inc/core/class.dc.modules.php	(revision 2566)
@@ -131,5 +131,4 @@
 			if ($ns == 'admin') {
 				$this->loadModuleL10Nresources($id,$lang);
-				$this->core->adminurl->register('admin.plugin.'.$id,'plugin.php',array('p'=>$id));
 			}
 			$this->loadNsFile($id,$ns);
Index: inc/core/class.dc.namespace.php
===================================================================
--- inc/core/class.dc.namespace.php	(revision 2567)
+++ inc/core/class.dc.namespace.php	(revision 2566)
@@ -125,34 +125,4 @@
 
 	/**
-	Returns global setting value if exists.
-
-	@param	n		<b>string</b>		setting name
-	@return	<b>mixed</b>
-	*/
-	public function getGlobal($n)
-	{
-		if (isset($this->global_settings[$n]['value'])) {
-			return $this->global_settings[$n]['value'];
-		}
-
-		return null;
-	}
-
-	/**
-	Returns local setting value if exists.
-
-	@param	n		<b>string</b>		setting name
-	@return	<b>mixed</b>
-	*/
-	public function getLocal($n)
-	{
-		if (isset($this->local_settings[$n]['value'])) {
-			return $this->local_settings[$n]['value'];
-		}
-
-		return null;
-	}
-
-	/**
 	Magic __get method.
 	@copydoc ::get
Index: inc/core/class.dc.themes.php
===================================================================
--- inc/core/class.dc.themes.php	(revision 2607)
+++ inc/core/class.dc.themes.php	(revision 2566)
@@ -59,5 +59,5 @@
 		# Themes specifics properties
 		$properties = array_merge(
-			array('parent' => null, 'tplset' => DC_DEFAULT_TPLSET),
+			array('parent' => null),
 			$properties,
 			array('permissions' => 'admin') // force themes perms
Index: inc/core/class.dc.trackback.php
===================================================================
--- inc/core/class.dc.trackback.php	(revision 2674)
+++ inc/core/class.dc.trackback.php	(revision 2566)
@@ -482,7 +482,7 @@
 	}
 
-	private static function detectCharset($content)
-	{
-		return mb_detect_encoding($content,
+	private static function detectCharset($string)
+	{
+		return mb_detect_encoding($remote_content,
 				'UTF-8,ISO-8859-1,ISO-8859-2,ISO-8859-3,'.
 				'ISO-8859-4,ISO-8859-5,ISO-8859-6,ISO-8859-7,ISO-8859-8,'.
Index: inc/core/class.dc.xmlrpc.php
===================================================================
--- inc/core/class.dc.xmlrpc.php	(revision 2566)
+++ inc/core/class.dc.xmlrpc.php	(revision 2709)
@@ -264,9 +264,5 @@
 	private function setUser($user_id,$pwd)
 	{
-		if ($this->core->auth->userID() == $user_id) {
-			return true;
-		}
-
-		if ($this->core->auth->checkUser($user_id,$pwd) !== true) {
+		if (empty($pwd) || $this->core->auth->checkUser($user_id,$pwd) !== true) {
 			throw new Exception('Login error');
 		}
